---
title: ElementTraversal
slug: Web/API/ElementTraversal
tags:
  - API
  - DOM
  - DOM Reference
  - Interface
  - Obsolete
  - Web
---
<div>{{APIRef("DOM")}}{{obsolete_header}}</div>

<p>The <strong><code>ElementTraversal</code></strong> interface used to define methods that allowed access from one {{domxref("Node")}} to another in the document tree.</p>

<p>It proved useless, as very few types of {{domxref("Node")}} were able to implement all its methods and properties. It has been split into two interfaces, containing the useful methods and properties for each kind of nodes:</p>

<ul>
 <li>{{domxref("ChildNode")}}</li>
 <li>{{domxref("ParentNode")}}</li>
</ul>

<p>As it was a pure interface, with no object of this type, this change has no effect on the Web.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#interface-childnode', 'ChildNode')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Splitted the <code>ElementTraversal</code> interface in {{domxref("ParentNode")}} and {{domxref("ChildNode")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('Element Traversal', '#interface-elementTraversal', 'ElementTraversal')}}</td>
   <td>{{Spec2('Element Traversal')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
